## beanstalkd 1.5

=== Makefile ===
include mk/inc

VERS=$(shell mk/vers.sh)
TARG=beanstalkd
MOFILE=main.o
OFILES=\
	conn.o\
	file.o\
	heap.o\
	job.o\
	ms.o\
	net.o\
	port-$(OS).o\
	primes.o\
	prot.o\
	sd-daemon.o\
	sock-$(OS).o\
	srv.o\
	time.o\
	tube.o\
	util.o\
	vers.o\
	walg.o\

TOFILES=\
	heap-test.o\
	integ-test.o\
	job-test.o\
	util-test.o\

HFILES=\
	dat.h\
	sd-daemon.h\

CLEANFILES=\
	vers.c\
	$(TARG)-*.tar.gz\

include mk/cmd
include mk/tst

vers.c:
	mk/verc.sh >vers.c
ifneq ($(shell mk/verc.sh),$(shell cat vers.c 2>/dev/null))
.PHONY: vers.c
endif

dist: $(TARG)-$(VERS).tar.gz
.PHONY: dist

$(TARG)-$(VERS).tar:
	git archive -o $@ --prefix=$(TARG)-$(VERS)/ v$(VERS)
	mkdir -p $(TARG)-$(VERS)/mk
	echo 'printf "$(VERS)"' >$(TARG)-$(VERS)/mk/vers.sh
	chmod +x $(TARG)-$(VERS)/mk/vers.sh
	tar --append -f $@ $(TARG)-$(VERS)/mk/vers.sh
	sed 's/@VERSION@/$(VERS)/' <pkg/beanstalkd.spec.in >$(TARG)-$(VERS)/beanstalkd.spec
	tar --append -f $@ $(TARG)-$(VERS)/beanstalkd.spec
	cp NEWS.md $(TARG)-$(VERS)/NEWS.md
	tar --append -f $@ $(TARG)-$(VERS)/NEWS.md
	rm -r $(TARG)-$(VERS)

$(TARG)-$(VERS).tar.gz: $(TARG)-$(VERS).tar
	gzip -f $<

## beanstalkd 1.4.3

=== debian/changelog ===
beanstalkd (1.4.3-1) unstable; urgency=low

  * Initial release (Closes: #557128)

 -- Serafeim Zanikolas <serzan@hellug.gr>  Wed, 18 Nov 2009 23:32:00 +0100

=== debian/control ===
Source: beanstalkd
Section: net
Priority: extra
Maintainer: Serafeim Zanikolas <serzan@hellug.gr>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtool,
               libevent-dev (>= 1.4.1)
# add these build-deps if we ever enable build-time testing:
# netcat, fiu-utils, procps
Standards-Version: 3.8.3
Homepage: http://xph.us/software/beanstalkd/

Package: beanstalkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase
Description: simple, in-memory, message queueing server
 Beanstalkd is a simple, fast, message queueing server, in which messages are
 organised in "tubes". Beanstalk clients can insert and consume messages into
 and from such tubes.
 .
 The beanstalk interface is generic, but was originally designed for reducing
 the latency of page views in high-volume web applications by running
 time-consuming tasks asynchronously.
 .
 Beanstalkd is meant to be ran in a trusted network, as it has no
 authorisation/authentication mechanisms.
 .
 This package has the server files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# don't unnecessarily link against libnsl
export ac_cv_lib_nsl_inet_aton=thanks_but_no

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_prep:
	dh_prep -X beanstalkd.spec

# silly acrobatics to preserve an upstream file
override_dh_auto_clean:
	dh_testdir
	mv beanstalkd.spec beanstalkd.spec_
	dh_auto_clean
	mv beanstalkd.spec_ beanstalkd.spec

# don't run upstream tests (to avoid opening a port in buildd machines)
override_dh_auto_test:
	mv check.sh check.sh_
	ln -s /bin/true ./check.sh
	dh_auto_test
	rm check.sh
	mv check.sh_ check.sh

## beanstalkd 1.4.6

=== debian/changelog ===
beanstalkd (1.4.6-5) testing-proposed-updates; urgency=low

  * Add fix-empty-binlog-oom.diff (from upstream commit 70b63d5) to fix
    OUT_OF_MEMORY error after crash (Closes: #698140, aka upstream issue 44)

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 14 Jan 2013 17:17:27 +0100

beanstalkd (1.4.6-4) testing-proposed-updates; urgency=low

  * Add fiu-fix.diff (upstream commit 3176e28) to fix FTBFS due to
    fiu-ctrl silently ignoring obsolete command line arguments
    (Closes: #687402)
  * Add Vcs-* headers in debian/control
  * Bump up Standards-Version to 3.9.3 (no changes)

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 08 Oct 2012 18:57:43 +0200

beanstalkd (1.4.6-3) unstable; urgency=high

  * Patch sh-tests/common.functions to randomise the listener port during
    build tests (Closes: #636964); high urgency due to RC bug

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 14 Aug 2011 15:46:45 +0200

beanstalkd (1.4.6-2) unstable; urgency=low

  * Apply upstream patch, rename-dprintf.diff, to fix FTBFS (Closes: #632762)
  * Bump up Standards-Version to 3.9.2 (no changes)

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 10 Jul 2011 20:51:11 +0200

beanstalkd (1.4.6-1) unstable; urgency=medium

  * New upstream release
  * Fix bashism in the upstream, dynamically generated Makefile
  * Urgency set to medium because the new upstream release fixes a potential
    security issue (see upstream NEWS file)
  * debian/control:Maintainer: set to my debian email address

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 30 May 2010 01:00:51 +0200

beanstalkd (1.4.4-2) unstable; urgency=low

  * debian/control:Build-Depends: require fiu-utils >=0.13-3, to test
    successfully on certain arches (see #574405 and #574752)
  * debian/postrm: fix test of whether /var/lib/beanstalkd is empty (would
    fail with subdirectories, which normally are not created there), and
    revise diagnostic messages

 -- Serafeim Zanikolas <serzan@hellug.gr>  Thu, 25 Mar 2010 21:58:07 +0100

beanstalkd (1.4.4-1) unstable; urgency=low

  * New Upstream Release
    - drop make-tests-more-robust-and-tidy.diff (adopted upstream)
    - fixes failing build tests (Closes: #571357)
  * Modify /etc/default/beanstalkd for easier source'ing
  * debian/control:Build-Depends: replace netcat with python-minimal
  * debian/rules: run all build tests, and do so with verbosity

 -- Serafeim Zanikolas <serzan@hellug.gr>  Mon, 15 Mar 2010 09:31:44 +0100

beanstalkd (1.4.3-2) unstable; urgency=low

  * Bump up Standards-Version to 3.8.4 (no changes)
  * Enable build-time tests
    - add make-tests-more-robust-and-tidy.diff
        - do not run tests unless loopback interface is configured
        - listen only on localhost, for security reasons
        - try listening on another port when the default is not available
        - cleanup named pipes that are left behind by fiu
    - debian/control: add Build-Depends: netcat, fiu-utils, procps, net-tools
    - debian/rules: ignore sh-tests/pause-tube.* (false negative)
  * debian/init: add Required-{Start,Stop}: $remote_fs for dep-based booting
  * debian/control
    - add Suggests: doc-base
    - revise package description to clarify that beanstalkd is a workqueue
      service, which is a specific case of messaging

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 21 Feb 2010 16:34:00 +0100

=== debian/control ===
Source: beanstalkd
Section: net
Priority: extra
Maintainer: Serafeim Zanikolas <sez@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtool,
               libevent-dev (>= 1.4.1), fiu-utils (>=0.13-3), procps,
               net-tools, python-minimal
Standards-Version: 3.9.3
Homepage: http://xph.us/software/beanstalkd/
Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git

Package: beanstalkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase
Suggests: doc-base
Description: simple, in-memory, workqueue service
 Beanstalkd is a simple, fast, workqueue service (a specific case of message
 queueing), in which messages are organised in "tubes". Beanstalk clients can
 insert and consume messages into and from such tubes.
 .
 The beanstalk interface is generic, but was originally designed for reducing
 the latency of page views in high-volume web applications by running
 time-consuming tasks asynchronously.
 .
 Beanstalkd is meant to be ran in a trusted network, as it has no
 authorisation/authentication mechanisms.
 .
 This package has the server files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# don't unnecessarily link against libnsl
export ac_cv_lib_nsl_inet_aton=thanks_but_no
# for beanstalkd test scripts
export VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath
	sed -i 's?sh-tests/\*\.{commands,sh}?sh-tests/*.commands sh-tests/*.sh?' \
		Makefile

override_dh_prep:
	dh_prep -X beanstalkd.spec

# silly acrobatics to preserve an upstream file
override_dh_auto_clean:
	dh_testdir
	mv beanstalkd.spec beanstalkd.spec_
	dh_auto_clean
	mv beanstalkd.spec_ beanstalkd.spec

## beanstalkd 1.5

=== debian/changelog ===
beanstalkd (1.5-1) unstable; urgency=low

  * New upstream
    - Drop Build-Depends on libevent-dev and autotools-dev
    - Update debian/copyright to reflect new upstream license
    - Drop debian/patches/rename-dprintf.diff (no longer necessary)
    - Update debian/docs for some docs that are no longer shipped
    - debian/rules: override default installation location, and skip tests
      sh-tests/binlog-v5.sh (requires beanstalkd 1.4.6) and pause-tube (race
      condition that may result in false positive)
  * Point debian/watch to github instead
  * Bump up Standards-Version to 3.9.3 (no changes)

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 02 Mar 2012 00:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtool,
-               libevent-dev (>= 1.4.1), fiu-utils (>=0.13-3), procps,
+Build-Depends: debhelper (>= 7.0.50~), libtool, fiu-utils (>=0.13-3), procps,
                net-tools, python-minimal
 Standards-Version: 3.9.3
 Homepage: http://xph.us/software/beanstalkd/
-Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,20 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath
-	sed -i 's?sh-tests/\*\.{commands,sh}?sh-tests/*.commands sh-tests/*.sh?' \
-		Makefile
+	if ! test -f mk/inc.orig; then cp mk/inc mk/inc.orig; fi
+	# skip test that fails without the availability beanstalkd 1.4.6
+	if tes -f sh-tests/binlog-v5.sh; then mv sh-tests/binlog-v5.sh sh-tests/binlog-v5.sh.off; fi
+	# skip integration test with known false positive; see
+	# <CAD25zGCr6nxDMZWzBan7NvzmXb5d28uoDAzumtQWCKTc9qsC2Q@mail.gmail.com>
+	cp -f integ-test.c integ-test.c.orig
+	sed -i 's?.*sh-tests/pause-tube.commands.*??' integ-test.c
 
 override_dh_prep:
 	dh_prep -X beanstalkd.spec
+
+override_dh_auto_install:
+	dh_install
+	dh_installman
 
 # silly acrobatics to preserve an upstream file
 override_dh_auto_clean:
@@ -25,3 +34,6 @@
 	mv beanstalkd.spec beanstalkd.spec_
 	dh_auto_clean
 	mv beanstalkd.spec_ beanstalkd.spec
+	# restore disabled tests
+	if test -f sh-tests/binlog-v5.sh.off; then mv sh-tests/binlog-v5.sh.off sh-tests/binlog-v5.sh; fi
+	if test -f integ-test.c.orig; then mv integ-test.c.orig integ-test.c; fi

## beanstalkd 1.7

=== Makefile ===
--- 
+++ 
@@ -53,12 +53,15 @@
 	mkdir -p $(TARG)-$(VERS)/mk
 	echo 'printf "$(VERS)"' >$(TARG)-$(VERS)/mk/vers.sh
 	chmod +x $(TARG)-$(VERS)/mk/vers.sh
-	tar --append -f $@ $(TARG)-$(VERS)/mk/vers.sh
+	$(TAR) --append -f $@ $(TARG)-$(VERS)/mk/vers.sh
 	sed 's/@VERSION@/$(VERS)/' <pkg/beanstalkd.spec.in >$(TARG)-$(VERS)/beanstalkd.spec
-	tar --append -f $@ $(TARG)-$(VERS)/beanstalkd.spec
+	$(TAR) --append -f $@ $(TARG)-$(VERS)/beanstalkd.spec
 	cp NEWS.md $(TARG)-$(VERS)/NEWS.md
-	tar --append -f $@ $(TARG)-$(VERS)/NEWS.md
+	$(TAR) --append -f $@ $(TARG)-$(VERS)/NEWS.md
 	rm -r $(TARG)-$(VERS)
 
 $(TARG)-$(VERS).tar.gz: $(TARG)-$(VERS).tar
 	gzip -f $<
+
+doc/beanstalkd.1 doc/beanstalkd.1.html: doc/beanstalkd.ronn
+	ronn $<

=== debian/changelog ===
beanstalkd (1.7-1ubuntu1) raring; urgency=low

  * Added missing preprocessor directive to fix FTBFS on Linux.
    (Closes: #701429)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 31 Mar 2013 18:20:03 -0400

beanstalkd (1.7-1) unstable; urgency=high

  * New upstream (Closes: #666775, #687402); high urgency due to RC bugs
  * Add Vcs-* headers in debian/control

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 15 Sep 2012 12:18:05 +0200

beanstalkd (1.6-1) unstable; urgency=low

  * New upstream
    - drop build dependencies (python-minimal, procps, fiu-utils) due to
      re-organisation of tests
    - debian/rules: do not disable any tests
    - drop debian/patches/randomise-port.diff

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 May 2012 18:57:56 +0200

beanstalkd (1.5-2) unstable; urgency=high

  * Add debian/patches/freebsd-build.diff to fix FTBFS for gnu/kfreebsd
    (Closes: #664613); high urgency due to RC bug

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 01 Apr 2012 15:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtool, fiu-utils (>=0.13-3), procps,
-               net-tools, python-minimal
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), libtool, net-tools
 Standards-Version: 3.9.3
 Homepage: http://xph.us/software/beanstalkd/
+Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# don't unnecessarily link against libnsl
export ac_cv_lib_nsl_inet_aton=thanks_but_no
# for beanstalkd test scripts
export VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_prep:
	dh_prep -X beanstalkd.spec

override_dh_auto_install:
	dh_install
	dh_installman

# silly acrobatics to preserve an upstream file
override_dh_auto_clean:
	dh_testdir
	mv beanstalkd.spec beanstalkd.spec_
	dh_auto_clean
	mv beanstalkd.spec_ beanstalkd.spec

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/kr/beanstalkd/downloads .*/beanstalkd-(.*)\.tar\.gz

## beanstalkd 1.8

=== Makefile ===
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
CFLAGS=-Wall -Werror\
	-Wformat=2\

LDFLAGS=
OS=$(shell uname|tr A-Z a-z)
INSTALL=install
TAR=tar

VERS=$(shell ./vers.sh)
TARG=beanstalkd
MOFILE=main.o
OFILES=\
	$(OS).o\
	conn.o\
	file.o\
	heap.o\
	job.o\
	ms.o\
	net.o\
	primes.o\
	prot.o\
	sd-daemon.o\
	serv.o\
	time.o\
	tube.o\
	util.o\
	vers.o\
	walg.o\

TOFILES=\
	heap-test.o\
	integ-test.o\
	job-test.o\
	util-test.o\

HFILES=\
	dat.h\
	sd-daemon.h\

CLEANFILES=\
	vers.c\
	$(TARG)-*.tar.gz\

.PHONY: all
all: $(TARG)

$(TARG): $(OFILES) $(MOFILE)
	$(LINK.o) -o $@ $^ $(LDLIBS)

.PHONY: install
install: $(BINDIR) $(BINDIR)/$(TARG)

$(BINDIR):
	$(INSTALL) -d $@

$(BINDIR)/%: %
	$(INSTALL) $< $@

CLEANFILES:=$(CLEANFILES) $(TARG)

$(OFILES) $(MOFILE): $(HFILES)

.PHONY: clean
clean:
	rm -f *.o $(CLEANFILES)

.PHONY: check
check: ct/_ctcheck
	ct/_ctcheck

ct/_ctcheck: ct/_ctcheck.o ct/ct.o $(OFILES) $(TOFILES)

ct/_ctcheck.c: $(TOFILES) ct/gen
	ct/gen $(TOFILES) >$@.part
	mv $@.part $@

ct/ct.o ct/_ctcheck.o: ct/ct.h ct/internal.h

$(TOFILES): $(HFILES) ct/ct.h

CLEANFILES:=$(CLEANFILES) ct/_* ct/*.o

ifneq ($(shell ./verc.sh),$(shell cat vers.c 2>/dev/null))
.PHONY: vers.c
endif
vers.c:
	./verc.sh >vers.c

.PHONY: dist
dist: $(TARG)-$(VERS).tar.gz

$(TARG)-$(VERS).tar:
	git archive -o $@ --prefix=$(TARG)-$(VERS)/ v$(VERS)
	mkdir -p $(TARG)-$(VERS)/mk
	echo 'printf "$(VERS)"' >$(TARG)-$(VERS)/vers.sh
	chmod +x $(TARG)-$(VERS)/vers.sh
	$(TAR) --append -f $@ $(TARG)-$(VERS)/vers.sh
	sed 's/@VERSION@/$(VERS)/' <pkg/beanstalkd.spec.in >$(TARG)-$(VERS)/beanstalkd.spec
	$(TAR) --append -f $@ $(TARG)-$(VERS)/beanstalkd.spec
	cp NEWS.md $(TARG)-$(VERS)/NEWS.md
	$(TAR) --append -f $@ $(TARG)-$(VERS)/NEWS.md
	rm -r $(TARG)-$(VERS)

$(TARG)-$(VERS).tar.gz: $(TARG)-$(VERS).tar
	gzip -f $<

doc/beanstalkd.1 doc/beanstalkd.1.html: doc/beanstalkd.ronn
	ronn $<

freebsd.o: darwin.c

=== debian/changelog ===
beanstalkd (1.8-2) unstable; urgency=low

  * Add debian/patches/fix-hurd-ftbfs.patch to fix FTBFS in hurd
  * debian/control: Update homepage link
  * debian/control: Canonicalize Vcs-* fields
  * debian/patches/*: Make patches gbp-pq friendly

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Sat, 13 Apr 2013 19:07:18 +0300

beanstalkd (1.8-1) unstable; urgency=low

  * New upstream (Closes: #701429, #704288)
  * Refresh debian/patches/freebsd-build.diff to apply on Makefile
  * Add debian/patch/sanitize_makefile.diff to play nice with
    debian hardened flags
  * Bump debhelper compat to 9
  * Bump Standards version to 3.9.4
  * Update debian/copyright to comply with copyright v1.0
  * Friendly takeover (encouraged by old maintainer); setting
    Gregory Potamianos as Maintainer and Apollon Oikonomopoulos,
    Serafeim Zanikolas as Uploaders

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Mon, 08 Apr 2013 13:23:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtool, net-tools
-Standards-Version: 3.9.3
-Homepage: http://xph.us/software/beanstalkd/
-Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
+Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
+Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
+ Serafeim Zanikolas <sez@debian.org>
+Build-Depends: debhelper (>= 9), libtool, net-tools
+Standards-Version: 3.9.4
+Homepage: http://kr.github.com/beanstalkd/
+Vcs-Git: git://anonscm.debian.org/collab-maint/beanstalkd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# don't unnecessarily link against libnsl
-export ac_cv_lib_nsl_inet_aton=thanks_but_no
 # for beanstalkd test scripts
 export VERBOSE=1
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- --disable-rpath
 
 override_dh_prep:
 	dh_prep -X beanstalkd.spec

## beanstalkd 1.9

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 BINDIR=$(PREFIX)/bin
 CFLAGS=-Wall -Werror\
 	-Wformat=2\
+	-g\
 
 LDFLAGS=
 OS=$(shell uname|tr A-Z a-z)
 INSTALL=install
-TAR=tar
 
 VERS=$(shell ./vers.sh)
 TARG=beanstalkd
@@ -41,7 +41,6 @@
 
 CLEANFILES=\
 	vers.c\
-	$(TARG)-*.tar.gz\
 
 .PHONY: all
 all: $(TARG)
@@ -88,24 +87,6 @@
 vers.c:
 	./verc.sh >vers.c
 
-.PHONY: dist
-dist: $(TARG)-$(VERS).tar.gz
-
-$(TARG)-$(VERS).tar:
-	git archive -o $@ --prefix=$(TARG)-$(VERS)/ v$(VERS)
-	mkdir -p $(TARG)-$(VERS)/mk
-	echo 'printf "$(VERS)"' >$(TARG)-$(VERS)/vers.sh
-	chmod +x $(TARG)-$(VERS)/vers.sh
-	$(TAR) --append -f $@ $(TARG)-$(VERS)/vers.sh
-	sed 's/@VERSION@/$(VERS)/' <pkg/beanstalkd.spec.in >$(TARG)-$(VERS)/beanstalkd.spec
-	$(TAR) --append -f $@ $(TARG)-$(VERS)/beanstalkd.spec
-	cp NEWS.md $(TARG)-$(VERS)/NEWS.md
-	$(TAR) --append -f $@ $(TARG)-$(VERS)/NEWS.md
-	rm -r $(TARG)-$(VERS)
-
-$(TARG)-$(VERS).tar.gz: $(TARG)-$(VERS).tar
-	gzip -f $<
-
 doc/beanstalkd.1 doc/beanstalkd.1.html: doc/beanstalkd.ronn
 	ronn $<

=== debian/changelog ===
beanstalkd (1.9-2ubuntu1) trusty; urgency=medium

  * debian/patches/0003-Use-external-sd-daemon-on-linux.patch: Dropped
    causes FTBFS on Ubuntu. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Jan 2014 09:37:04 -0500

beanstalkd (1.9-2) unstable; urgency=medium

  [ Gregory Potamianos ]
  * Use debian libsystemd-daemon where available

  [ Apollon Oikonomopoulos ]
  * Add patch fixing segfault on interrupted epoll_wait. Thanks to Danny
    Guinther for the patch! (LP: #1263808)
  * Add Documentation field to the systemd unit file
  * Add systemd socket activation support
  * Restart beanstalkd after upgrade (and not during). This ensures that
    socket activation under systemd will work predictably during upgrades and
    also minimizes service downtime.

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Thu, 09 Jan 2014 20:20:18 +0200

beanstalkd (1.9-1) unstable; urgency=low

  [ Gregory Potamianos ]
  * Imported Upstream version 1.9
  * debian/watch: beanstalkd now uses github archive
  * debian/patches: drop 0003-Fix-FTBFS-in-hurd-i386.patch, merged upstream
  * debian/patches: refresh 0001-Fix-FTBFS-for-gnu-kfreebsd.patch
  * debian/patches: refresh 0002-Sanitize-Makefile.patch
  * debian/docs: removed NEWS.md, removed upstream
  * debian/default: remove obsolete variables
  * debian/control: Bump Standards-Version to 3.9.5 (no changes)

  [ Apollon Oikonomopoulos ]
  * Init script/defaults refactoring
  * Initial systemd support

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Tue, 12 Nov 2013 15:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
  Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 9), libtool, net-tools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libtool, net-tools, dh-systemd (>= 1.5), libsystemd-daemon-dev [linux-any]
+Standards-Version: 3.9.5
 Homepage: http://kr.github.com/beanstalkd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/beanstalkd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,16 @@
 # for beanstalkd test scripts
 export VERBOSE=1
 
+DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+# no libsystemd-daemon on non-linux arches
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+	export DEB_LDFLAGS_MAINT_APPEND = -lsystemd-daemon
+	export DEB_CFLAGS_MAINT_APPEND = -DUSE_EXTERNAL_SD_DAEMON=1
+endif
+
+
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_prep:
 	dh_prep -X beanstalkd.spec
@@ -22,3 +30,18 @@
 	mv beanstalkd.spec beanstalkd.spec_
 	dh_auto_clean
 	mv beanstalkd.spec_ beanstalkd.spec
+
+override_dh_systemd_enable:
+	# Enable the service
+	dh_systemd_enable beanstalkd.service
+
+	# Do not enable the socket on install, but disable it on purge
+	dh_systemd_enable --no-enable beanstalkd.socket
+
+override_dh_installinit:
+	# This makes sure systemd's socket activation will not start the
+	# service during the upgrade and also minimizes service downtime.
+	dh_installinit --restart-after-upgrade
+
+.PHONY: override_dh_prep override_dh_auto_install override_dh_auto_clean \
+	override_dh_systemd_enable override_dh_installinit

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/kr/beanstalkd/tags .*/v?(\d\S*)\.tar\.gz

## beanstalkd 1.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
+DESTDIR=
 PREFIX=/usr/local
-BINDIR=$(PREFIX)/bin
+BINDIR=$(DESTDIR)$(PREFIX)/bin
 CFLAGS=-Wall -Werror\
 	-Wformat=2\
 	-g\
@@ -30,10 +31,10 @@
 	walg.o\
 
 TOFILES=\
-	heap-test.o\
-	integ-test.o\
-	job-test.o\
-	util-test.o\
+	testheap.o\
+	testjobs.o\
+	testserv.o\
+	testutil.o\
 
 HFILES=\
 	dat.h\
@@ -69,6 +70,10 @@
 check: ct/_ctcheck
 	ct/_ctcheck
 
+.PHONY: bench
+bench: ct/_ctcheck
+	ct/_ctcheck -b
+
 ct/_ctcheck: ct/_ctcheck.o ct/ct.o $(OFILES) $(TOFILES)
 
 ct/_ctcheck.c: $(TOFILES) ct/gen

=== debian/changelog ===
beanstalkd (1.10-4) unstable; urgency=medium

  * Bump Standards to 3.9.8; no changes needed
  * Enable all hardening flags
  * Depend on lsb-base for /lib/lsb/init-functions

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 01:17:16 +0200

beanstalkd (1.10-3) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Add a patch to fix log compaction for logs > 2GB (upstream commit
    93ab9345).
  * Add DEP-8 tests.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 27 Jan 2016 12:20:22 +0200

beanstalkd (1.10-2) unstable; urgency=medium

  * d/control: set priority to optional
  * d/control: use HTTPS in Vcs-* and Homepage fields
  * Bump standards to 3.9.6; no changes needed
  * d/rules: use LDLIBS for libsystemd - change obtained from Ubuntu
    (closes: #779831)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jan 2016 16:36:30 +0200

beanstalkd (1.10-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream release
    + Drop 0004-fix-segfault-on-interrupted-epoll_wait.patch, fixed upstream.
    + Refresh 0002-Sanitize-Makefile.patch and
      0003-Use-external-sd-daemon-on-linux.patch to match upstream changes.
  * 0003-Use-external-sd-daemon-on-linux.patch: include
    systemd/systemd-daemon.h before dat.h; fixes FTBFS with newer systemd
    header versions.
  * Add a patch to fix a couple of bugs in upstream's test suite.
  * B-D on systemd-dev instead of systemd-daemon-dev and link with -lsystemd.
  * d/watch: use sane filenames for upstream tarballs.
  * Remove Serafeim Zanikolas from Uploaders. Thanks for your hard work!

  [ Gregory Potamianos ]
  * Fix typo in beanstalkd.service file, causing it to ignore BEANSTALKD_EXTRA
    from /etc/default/beanstalkd.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 18 Sep 2014 09:03:49 +0300

=== debian/control ===
Source: beanstalkd
Section: net
Priority: optional
Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), libtool, net-tools, dh-systemd (>= 1.5), libsystemd-dev [linux-any]
Standards-Version: 3.9.8
Homepage: https://kr.github.com/beanstalkd/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/beanstalkd.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git

Package: beanstalkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase, lsb-base (>= 3.0-6)
Suggests: doc-base
Description: simple, in-memory, workqueue service
 Beanstalkd is a simple, fast, workqueue service (a specific case of message
 queueing), in which messages are organised in "tubes". Beanstalk clients can
 insert and consume messages into and from such tubes.
 .
 The beanstalk interface is generic, but was originally designed for reducing
 the latency of page views in high-volume web applications by running
 time-consuming tasks asynchronously.
 .
 Beanstalkd is meant to be ran in a trusted network, as it has no
 authorisation/authentication mechanisms.
 .
 This package has the server files.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 # for beanstalkd test scripts
 export VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 # no libsystemd-daemon on non-linux arches
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	export DEB_LDFLAGS_MAINT_APPEND = -lsystemd-daemon
+	export LDLIBS = -lsystemd
 	export DEB_CFLAGS_MAINT_APPEND = -DUSE_EXTERNAL_SD_DAEMON=1
 endif

=== debian/tests/control ===
Test-Command: py.test debian/tests
Restrictions: needs-root, isolation-container
Depends: beanstalkd, python-beanstalkc, python-pytest

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s|.*/v(.*)|beanstalkd-$1| \
 https://github.com/kr/beanstalkd/tags .*/v?(\d\S*)\.tar\.gz

## beanstalkd 1.11

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
-DESTDIR=
 PREFIX=/usr/local
 BINDIR=$(DESTDIR)$(PREFIX)/bin
-CFLAGS=-Wall -Werror\
-	-Wformat=2\
-	-g\
 
-LDFLAGS=
+override CFLAGS+=-Wall -Werror -Wformat=2 -g
+override LDFLAGS?=
+
 OS=$(shell uname|tr A-Z a-z)
 INSTALL=install
 
@@ -40,8 +38,17 @@
 	dat.h\
 	sd-daemon.h\
 
+ifeq ($(OS),linux)
+
+LDLIBS=\
+	-lrt\
+
+endif
+
 CLEANFILES=\
 	vers.c\
+	*.gcda\
+	*.gcno\
 
 .PHONY: all
 all: $(TARG)
@@ -50,12 +57,10 @@
 	$(LINK.o) -o $@ $^ $(LDLIBS)
 
 .PHONY: install
-install: $(BINDIR) $(BINDIR)/$(TARG)
-
-$(BINDIR):
-	$(INSTALL) -d $@
+install: $(BINDIR)/$(TARG)
 
 $(BINDIR)/%: %
+	$(INSTALL) -d $(dir $@)
 	$(INSTALL) $< $@
 
 CLEANFILES:=$(CLEANFILES) $(TARG)

=== debian/changelog ===
beanstalkd (1.11-1) unstable; urgency=medium

  * New upstream version 1.11
  * Bump dh compat to 12:
    + Drop B-D on dh-systemd
    + Do not pass --with systemd to the dh sequencer
    + Override dh_installsystemd instead of dh_systemd_enable
  * Bump Standards-Version to 4.4.0; no changes needed
  * Update Homepage link
  * Point Vcs-* to salsa.d.o
  * d/rules: get DEB_HOST_ARCH_OS from architecture.mk
  * d/copyright: adjust years
  * Drop obsolete patches:
    + 0004-fix-test-suite.patch: fixed upstream
    + 0005-fix-log-compaction-with-a-log-over-2GB.patch: included upstream
  * Refresh patches
  * Do not override LDLIBS from d/rules, patch Makefile instead
  * d/docs: update README path
  * Drop restrictions from debian/tests/control

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Jul 2019 11:00:23 -0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libtool, net-tools, dh-systemd (>= 1.5), libsystemd-dev [linux-any]
-Standards-Version: 3.9.8
-Homepage: https://kr.github.com/beanstalkd/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/beanstalkd.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git
+Build-Depends: debhelper (>= 12), libtool, net-tools, libsystemd-dev [linux-any]
+Standards-Version: 4.4.0
+Homepage: https://github.com/beanstalkd/beanstalkd
+Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
+Vcs-Browser: https://salsa.debian.org/debian/beanstalkd
 
 Package: beanstalkd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase, lsb-base (>= 3.0-6)
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: doc-base
 Description: simple, in-memory, workqueue service
  Beanstalkd is a simple, fast, workqueue service (a specific case of message

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

# for beanstalkd test scripts
export VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# no libsystemd-daemon on non-linux arches
ifeq ($(DEB_HOST_ARCH_OS), linux)
	export DEB_CFLAGS_MAINT_APPEND = -DUSE_EXTERNAL_SD_DAEMON=1
endif


%:
	dh $@

override_dh_prep:
	dh_prep -X beanstalkd.spec

override_dh_auto_install:
	dh_install
	dh_installman

# silly acrobatics to preserve an upstream file
override_dh_auto_clean:
	dh_testdir
	mv beanstalkd.spec beanstalkd.spec_
	dh_auto_clean
	mv beanstalkd.spec_ beanstalkd.spec

override_dh_installsystemd:
	# Enable the service
	dh_installsystemd --restart-after-upgrade beanstalkd.service

	# Do not enable the socket on install, but disable it on purge
	dh_installsystemd --no-enable beanstalkd.socket

override_dh_installinit:
	# This makes sure systemd's socket activation will not start the
	# service during the upgrade and also minimizes service downtime.
	dh_installinit --restart-after-upgrade

.PHONY: override_dh_prep override_dh_auto_install override_dh_auto_clean \
	override_dh_installsystemd override_dh_installinit

=== debian/tests/control ===
Test-Command: py.test debian/tests
Depends: beanstalkd, python-beanstalkc, python-pytest

## beanstalkd 1.12

=== debian/changelog ===
beanstalkd (1.12-3deepin) unstable; urgency=medium

  [ LiChengGang ]
  * update changelog 

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 23 Feb 2023 15:05:58 +0800

beanstalkd (1.12-2) unstable; urgency=medium

  * Fix FTBFS on 64-bit big-endian systems
  * d/copyright: remove references to sd-daemon.*; removed upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 24 Sep 2020 00:00:18 +0300

beanstalkd (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
    + Drop 0003-Use-external-sd-daemon-on-linux.patch; upstream now detects
      libsystemd via pkg-config
      • B-D on pkg-config
    + Refresh remaining patches
  * Bump dh compat to 13; no changes needed
  * Bump Standards-Version to 4.5.0; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 23 Sep 2020 12:08:33 +0300

beanstalkd (1.11-2) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 21:45:55 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 12), libtool, net-tools, libsystemd-dev [linux-any]
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+ libtool,
+ net-tools,
+ pkg-config,
+ libsystemd-dev [linux-any]
+Standards-Version: 4.5.0
 Homepage: https://github.com/beanstalkd/beanstalkd
 Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
 Vcs-Browser: https://salsa.debian.org/debian/beanstalkd

## beanstalkd 1.13

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,18 @@
-PREFIX=/usr/local
+PREFIX?=/usr/local
 BINDIR=$(DESTDIR)$(PREFIX)/bin
 
 override CFLAGS+=-Wall -Werror -Wformat=2 -g
 override LDFLAGS?=
 
-OS=$(shell uname|tr A-Z a-z)
-INSTALL=install
+LDLIBS?=
+
+OS?=$(shell uname | tr 'A-Z' 'a-z')
+INSTALL?=install
+PKG_CONFIG?=pkg-config
+
+ifeq ($(OS),sunos)
+override LDFLAGS += -lxnet -lsocket -lnsl
+endif
 
 VERS=$(shell ./vers.sh)
 TARG=beanstalkd
@@ -20,7 +27,6 @@
 	net.o\
 	primes.o\
 	prot.o\
-	sd-daemon.o\
 	serv.o\
 	time.o\
 	tube.o\
@@ -31,24 +37,35 @@
 TOFILES=\
 	testheap.o\
 	testjobs.o\
+	testms.o\
 	testserv.o\
 	testutil.o\
 
 HFILES=\
 	dat.h\
-	sd-daemon.h\
 
 ifeq ($(OS),linux)
+   LDLIBS+=-lrt
+endif
 
-LDLIBS=\
-	-lrt\
-
+# systemd support can be configured via USE_SYSTEMD:
+#        no: disabled
+#       yes: enabled, build fails if libsystemd is not found
+# otherwise: enabled if libsystemd is found
+ifneq ($(USE_SYSTEMD),no)
+ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo $$?),0)
+	LDLIBS+=$(shell $(PKG_CONFIG) --libs libsystemd)
+	CPPFLAGS+=-DHAVE_LIBSYSTEMD
+else
+ifeq ($(USE_SYSTEMD),yes)
+$(error USE_SYSTEMD is set to "$(USE_SYSTEMD)", but $(PKG_CONFIG) cannot find libsystemd)
+endif
+endif
 endif
 
 CLEANFILES=\
 	vers.c\
-	*.gcda\
-	*.gcno\
+	$(wildcard *.gc*)
 
 .PHONY: all
 all: $(TARG)
@@ -63,13 +80,15 @@
 	$(INSTALL) -d $(dir $@)
 	$(INSTALL) $< $@
 
-CLEANFILES:=$(CLEANFILES) $(TARG)
+CLEANFILES+=$(TARG)
 
 $(OFILES) $(MOFILE): $(HFILES)
 
+CLEANFILES+=$(wildcard *.o)
+
 .PHONY: clean
 clean:
-	rm -f *.o $(CLEANFILES)
+	rm -f $(CLEANFILES)
 
 .PHONY: check
 check: ct/_ctcheck
@@ -89,7 +108,7 @@
 
 $(TOFILES): $(HFILES) ct/ct.h
 
-CLEANFILES:=$(CLEANFILES) ct/_* ct/*.o
+CLEANFILES+=$(wildcard ct/_* ct/*.o ct/*.gc*)
 
 ifneq ($(shell ./verc.sh),$(shell cat vers.c 2>/dev/null))
 .PHONY: vers.c

=== debian/changelog ===
beanstalkd (1.13-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Update standards version to 4.6.0, no changes needed
  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Use secure copyright file specification URI

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.13 (closes: #1076212)
  * Drop 0003-testserv-fix-endianness-issue.patch; merged upstream
  * Bump Standards-Version to 4.7.2; no changes needed
  * d/copyright: bump debian/ years
  * B-D on pkgconf instead of pkg-config
  * [lintian] Drop dependency on lsb-base
  * d/watch: bump to version 4; no changes needed
  * New patch 0003-Fix-handle_sigterm_pid1-signature.patch
    + Fix handle_sigterm_pid1() signature (Closes: #1096364)
  * Add Repository* fields to DEP-12 upstream metadata
  * Add DEP-8 tests

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 17 Mar 2025 10:22:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
  libtool,
  net-tools,
- pkg-config,
+ pkgconf,
  libsystemd-dev [linux-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/beanstalkd/beanstalkd
 Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
 Vcs-Browser: https://salsa.debian.org/debian/beanstalkd
 
 Package: beanstalkd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: doc-base
 Description: simple, in-memory, workqueue service

=== debian/tests/control ===
Tests: simple-usage
Depends: beanstalkd, ruby, ruby-beaneater, ruby-json

=== debian/watch ===
version=4

opts=filenamemangle=s|.*/v(.*)|beanstalkd-$1| \
 https://github.com/kr/beanstalkd/tags .*/v?(\d\S*)\.tar\.gz
